彻底解决由require(‘./wp-blog-header.php’)导致的500错误

这个问题困扰我好几天了,今天总算是搞定了。

之前查了很多资料,断断续续做了不少功课。但都没实质性进展。

刚开始的症状就是首页500错,但是后台可以正常进入。

查资料找到如下方案

/** Loads the WordPress Environment and Template */
require(‘./wp-blog-header.php’);

修改为

/** Loads the WordPress Environment and Template */
require(‘wp-blog-header.php’);

这还不算完,如果以后客户装WP,每次都这个错误,那会很麻烦。

于是继续找解决方案。

后来在某博文看到一篇文章,提到可能是因为上级目录没有相应权限,导致了require函数读取文件时遭到拒绝,于是给WEB根加上了IIS-WPG用户的读取权限,然后还原代码到

/** Loads the WordPress Environment and Template */
require(‘./wp-blog-header.php’);

至此,500错误消失,博客已经可以正常打开。

Leave a Reply

Your email address will not be published. Required fields are marked *